Package org.apache.sling.jackrabbit.usermanager

# Interface DeleteUser

All Known Implementing Classes:
  `DeleteAuthorizableServlet`

public interface DeleteUser
The `DeleteUser` service api.

This interface is not intended to be implemented by bundles. It is implemented by this bundle and may be used by client bundles.

Since:
  2.2.0

## Method Summary

Modifier and Type
Method
Description
`void`
`deleteUser(javax.jcr.Session jcrSession, String name, List<org.apache.sling.servlets.post.Modification> changes)`
Deletes a user from the repository

## Method Details

### deleteUser

void deleteUser(javax.jcr.Session jcrSession, String name, List<org.apache.sling.servlets.post.Modification> changes) throws javax.jcr.RepositoryException
Deletes a user from the repository

Parameters:
  `jcrSession` - the JCR session of the user creating the user
  `name` - The name of the user to delete (required)
  `changes` - The list of changes for this operation (optional)
Throws:
  `javax.jcr.RepositoryException` - if user can't be deleted